<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ex 1</title>
</head>
<body>
    <div>
        <h1>Exercice 1</h1>
        <p>Le nombre le plus haut est <span id="largest"></span></p>
        <p>Position du nombre le plus haut est <span id="indexLargest"></span></p>
    </div>
    <script>
    // Ecrire un algorithme qui demande successivement 20 nombres à l’utilisateur, et qui lui dise ensuite quel était le plus grand parmi ces 20 nombres :

    //Modifiez ensuite l’algorithme pour que le programme affiche de surcroît en quelle position avait été saisie ce nombre :

    //C’était le nombre numéro 2

        let largestJs = document.getElementById("largest");
        let indexLargestJs = document.getElementById("indexLargest");

        let array = [1, 2, 3, 22, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20];

        largest = Math.max.apply(Math, array);
    

        console.log(largest);

        largestJs.innerText = largest;

        indexLargest = array.indexOf(largest);

        indexLargestJs.innerText = indexLargest;

        console.log(indexLargest);
    </script>
</body>
</html>